
package org.datacontract.schemas._2004._07.services_objcomprobante;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for datosTransaccion complex type.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * 
 * &lt;pre&gt;
 * &amp;lt;complexType name="datosTransaccion"&amp;gt;
 *   &amp;lt;complexContent&amp;gt;
 *     &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&amp;gt;
 *       &amp;lt;sequence&amp;gt;
 *         &amp;lt;element name="tipoEmision" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="fechaInicioContingencia" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="motivoContingencia" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="tipoDocumento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="numeroDocumentoFiscal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="puntoFacturacionFiscal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="fechaEmision" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="fechaSalida" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="naturalezaOperacion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="tipoOperacion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="destinoOperacion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="formatoCAFE" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="entregaCAFE" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="envioContenedor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="procesoGeneracion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="tipoVenta" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="informacionInteres" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="cliente" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}cliente" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="datosFacturaExportacion" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}datosFacturaExportacion" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="listaDocsFiscalReferenciados" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}listaDocsFiscalReferenciados" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="listaAutorizadosDescargaFEyEventos" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}listaAutorizadosDescargaFEyEventos" minOccurs="0"/&amp;gt;
 *       &amp;lt;/sequence&amp;gt;
 *     &amp;lt;/restriction&amp;gt;
 *   &amp;lt;/complexContent&amp;gt;
 * &amp;lt;/complexType&amp;gt;
 * &lt;/pre&gt;
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "datosTransaccion", propOrder = {
    "tipoEmision",
    "fechaInicioContingencia",
    "motivoContingencia",
    "tipoDocumento",
    "numeroDocumentoFiscal",
    "puntoFacturacionFiscal",
    "fechaEmision",
    "fechaSalida",
    "naturalezaOperacion",
    "tipoOperacion",
    "destinoOperacion",
    "formatoCAFE",
    "entregaCAFE",
    "envioContenedor",
    "procesoGeneracion",
    "tipoVenta",
    "informacionInteres",
    "cliente",
    "datosFacturaExportacion",
    "listaDocsFiscalReferenciados",
    "listaAutorizadosDescargaFEyEventos"
})
public class DatosTransaccion {

    @XmlElementRef(name = "tipoEmision", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> tipoEmision;
    @XmlElementRef(name = "fechaInicioContingencia", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> fechaInicioContingencia;
    @XmlElementRef(name = "motivoContingencia", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> motivoContingencia;
    @XmlElementRef(name = "tipoDocumento", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> tipoDocumento;
    @XmlElementRef(name = "numeroDocumentoFiscal", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> numeroDocumentoFiscal;
    @XmlElementRef(name = "puntoFacturacionFiscal", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> puntoFacturacionFiscal;
    @XmlElementRef(name = "fechaEmision", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> fechaEmision;
    @XmlElementRef(name = "fechaSalida", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> fechaSalida;
    @XmlElementRef(name = "naturalezaOperacion", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> naturalezaOperacion;
    @XmlElementRef(name = "tipoOperacion", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> tipoOperacion;
    @XmlElementRef(name = "destinoOperacion", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> destinoOperacion;
    @XmlElementRef(name = "formatoCAFE", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> formatoCAFE;
    @XmlElementRef(name = "entregaCAFE", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> entregaCAFE;
    @XmlElementRef(name = "envioContenedor", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> envioContenedor;
    @XmlElementRef(name = "procesoGeneracion", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> procesoGeneracion;
    @XmlElementRef(name = "tipoVenta", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> tipoVenta;
    @XmlElementRef(name = "informacionInteres", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> informacionInteres;
    @XmlElementRef(name = "cliente", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<Cliente> cliente;
    @XmlElementRef(name = "datosFacturaExportacion", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<DatosFacturaExportacion> datosFacturaExportacion;
    @XmlElementRef(name = "listaDocsFiscalReferenciados", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<ListaDocsFiscalReferenciados> listaDocsFiscalReferenciados;
    @XmlElementRef(name = "listaAutorizadosDescargaFEyEventos", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<ListaAutorizadosDescargaFEyEventos> listaAutorizadosDescargaFEyEventos;

    /**
     * Gets the value of the tipoEmision property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTipoEmision() {
        return tipoEmision;
    }

    /**
     * Sets the value of the tipoEmision property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTipoEmision(JAXBElement<String> value) {
        this.tipoEmision = value;
    }

    /**
     * Gets the value of the fechaInicioContingencia property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFechaInicioContingencia() {
        return fechaInicioContingencia;
    }

    /**
     * Sets the value of the fechaInicioContingencia property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFechaInicioContingencia(JAXBElement<String> value) {
        this.fechaInicioContingencia = value;
    }

    /**
     * Gets the value of the motivoContingencia property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getMotivoContingencia() {
        return motivoContingencia;
    }

    /**
     * Sets the value of the motivoContingencia property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setMotivoContingencia(JAXBElement<String> value) {
        this.motivoContingencia = value;
    }

    /**
     * Gets the value of the tipoDocumento property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTipoDocumento() {
        return tipoDocumento;
    }

    /**
     * Sets the value of the tipoDocumento property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTipoDocumento(JAXBElement<String> value) {
        this.tipoDocumento = value;
    }

    /**
     * Gets the value of the numeroDocumentoFiscal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getNumeroDocumentoFiscal() {
        return numeroDocumentoFiscal;
    }

    /**
     * Sets the value of the numeroDocumentoFiscal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setNumeroDocumentoFiscal(JAXBElement<String> value) {
        this.numeroDocumentoFiscal = value;
    }

    /**
     * Gets the value of the puntoFacturacionFiscal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getPuntoFacturacionFiscal() {
        return puntoFacturacionFiscal;
    }

    /**
     * Sets the value of the puntoFacturacionFiscal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setPuntoFacturacionFiscal(JAXBElement<String> value) {
        this.puntoFacturacionFiscal = value;
    }

    /**
     * Gets the value of the fechaEmision property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFechaEmision() {
        return fechaEmision;
    }

    /**
     * Sets the value of the fechaEmision property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFechaEmision(JAXBElement<String> value) {
        this.fechaEmision = value;
    }

    /**
     * Gets the value of the fechaSalida property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFechaSalida() {
        return fechaSalida;
    }

    /**
     * Sets the value of the fechaSalida property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFechaSalida(JAXBElement<String> value) {
        this.fechaSalida = value;
    }

    /**
     * Gets the value of the naturalezaOperacion property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getNaturalezaOperacion() {
        return naturalezaOperacion;
    }

    /**
     * Sets the value of the naturalezaOperacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setNaturalezaOperacion(JAXBElement<String> value) {
        this.naturalezaOperacion = value;
    }

    /**
     * Gets the value of the tipoOperacion property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTipoOperacion() {
        return tipoOperacion;
    }

    /**
     * Sets the value of the tipoOperacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTipoOperacion(JAXBElement<String> value) {
        this.tipoOperacion = value;
    }

    /**
     * Gets the value of the destinoOperacion property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getDestinoOperacion() {
        return destinoOperacion;
    }

    /**
     * Sets the value of the destinoOperacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setDestinoOperacion(JAXBElement<String> value) {
        this.destinoOperacion = value;
    }

    /**
     * Gets the value of the formatoCAFE property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getFormatoCAFE() {
        return formatoCAFE;
    }

    /**
     * Sets the value of the formatoCAFE property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setFormatoCAFE(JAXBElement<String> value) {
        this.formatoCAFE = value;
    }

    /**
     * Gets the value of the entregaCAFE property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getEntregaCAFE() {
        return entregaCAFE;
    }

    /**
     * Sets the value of the entregaCAFE property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setEntregaCAFE(JAXBElement<String> value) {
        this.entregaCAFE = value;
    }

    /**
     * Gets the value of the envioContenedor property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getEnvioContenedor() {
        return envioContenedor;
    }

    /**
     * Sets the value of the envioContenedor property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setEnvioContenedor(JAXBElement<String> value) {
        this.envioContenedor = value;
    }

    /**
     * Gets the value of the procesoGeneracion property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getProcesoGeneracion() {
        return procesoGeneracion;
    }

    /**
     * Sets the value of the procesoGeneracion property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setProcesoGeneracion(JAXBElement<String> value) {
        this.procesoGeneracion = value;
    }

    /**
     * Gets the value of the tipoVenta property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTipoVenta() {
        return tipoVenta;
    }

    /**
     * Sets the value of the tipoVenta property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTipoVenta(JAXBElement<String> value) {
        this.tipoVenta = value;
    }

    /**
     * Gets the value of the informacionInteres property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getInformacionInteres() {
        return informacionInteres;
    }

    /**
     * Sets the value of the informacionInteres property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setInformacionInteres(JAXBElement<String> value) {
        this.informacionInteres = value;
    }

    /**
     * Gets the value of the cliente property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Cliente }{@code >}
     *     
     */
    public JAXBElement<Cliente> getCliente() {
        return cliente;
    }

    /**
     * Sets the value of the cliente property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Cliente }{@code >}
     *     
     */
    public void setCliente(JAXBElement<Cliente> value) {
        this.cliente = value;
    }

    /**
     * Gets the value of the datosFacturaExportacion property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link DatosFacturaExportacion }{@code >}
     *     
     */
    public JAXBElement<DatosFacturaExportacion> getDatosFacturaExportacion() {
        return datosFacturaExportacion;
    }

    /**
     * Sets the value of the datosFacturaExportacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link DatosFacturaExportacion }{@code >}
     *     
     */
    public void setDatosFacturaExportacion(JAXBElement<DatosFacturaExportacion> value) {
        this.datosFacturaExportacion = value;
    }

    /**
     * Gets the value of the listaDocsFiscalReferenciados property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ListaDocsFiscalReferenciados }{@code >}
     *     
     */
    public JAXBElement<ListaDocsFiscalReferenciados> getListaDocsFiscalReferenciados() {
        return listaDocsFiscalReferenciados;
    }

    /**
     * Sets the value of the listaDocsFiscalReferenciados property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ListaDocsFiscalReferenciados }{@code >}
     *     
     */
    public void setListaDocsFiscalReferenciados(JAXBElement<ListaDocsFiscalReferenciados> value) {
        this.listaDocsFiscalReferenciados = value;
    }

    /**
     * Gets the value of the listaAutorizadosDescargaFEyEventos property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ListaAutorizadosDescargaFEyEventos }{@code >}
     *     
     */
    public JAXBElement<ListaAutorizadosDescargaFEyEventos> getListaAutorizadosDescargaFEyEventos() {
        return listaAutorizadosDescargaFEyEventos;
    }

    /**
     * Sets the value of the listaAutorizadosDescargaFEyEventos property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ListaAutorizadosDescargaFEyEventos }{@code >}
     *     
     */
    public void setListaAutorizadosDescargaFEyEventos(JAXBElement<ListaAutorizadosDescargaFEyEventos> value) {
        this.listaAutorizadosDescargaFEyEventos = value;
    }

}
