
package org.datacontract.schemas._2004._07.services_objcomprobante;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for DocumentoElectronico complex type.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * 
 * &lt;pre&gt;
 * &amp;lt;complexType name="DocumentoElectronico"&amp;gt;
 *   &amp;lt;complexContent&amp;gt;
 *     &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&amp;gt;
 *       &amp;lt;sequence&amp;gt;
 *         &amp;lt;element name="codigoSucursalEmisor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="tipoSucursal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="datosTransaccion" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}datosTransaccion" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="listaItems" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}listaItems" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="totalesSubTotales" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}totalesSubTotales" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="pedidoComercialGlobal" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}pedidoComercialGlobal" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="infoLogistica" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}infoLogistica" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="infoEntrega" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}infoEntrega" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="usoPosterior" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}usoPosterior" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="listaExtras" type="{http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0}listaExtras" minOccurs="0"/&amp;gt;
 *         &amp;lt;element name="serialDispositivo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&amp;gt;
 *       &amp;lt;/sequence&amp;gt;
 *     &amp;lt;/restriction&amp;gt;
 *   &amp;lt;/complexContent&amp;gt;
 * &amp;lt;/complexType&amp;gt;
 * &lt;/pre&gt;
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DocumentoElectronico", propOrder = {
    "codigoSucursalEmisor",
    "tipoSucursal",
    "datosTransaccion",
    "listaItems",
    "totalesSubTotales",
    "pedidoComercialGlobal",
    "infoLogistica",
    "infoEntrega",
    "usoPosterior",
    "listaExtras",
    "serialDispositivo"
})
public class DocumentoElectronico {

    @XmlElementRef(name = "codigoSucursalEmisor", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> codigoSucursalEmisor;
    @XmlElementRef(name = "tipoSucursal", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> tipoSucursal;
    @XmlElementRef(name = "datosTransaccion", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<DatosTransaccion> datosTransaccion;
    @XmlElementRef(name = "listaItems", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<ListaItems> listaItems;
    @XmlElementRef(name = "totalesSubTotales", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<TotalesSubTotales> totalesSubTotales;
    @XmlElementRef(name = "pedidoComercialGlobal", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<PedidoComercialGlobal> pedidoComercialGlobal;
    @XmlElementRef(name = "infoLogistica", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<InfoLogistica> infoLogistica;
    @XmlElementRef(name = "infoEntrega", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<InfoEntrega> infoEntrega;
    @XmlElementRef(name = "usoPosterior", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<UsoPosterior> usoPosterior;
    @XmlElementRef(name = "listaExtras", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<ListaExtras> listaExtras;
    @XmlElementRef(name = "serialDispositivo", namespace = "http://schemas.datacontract.org/2004/07/Services.ObjComprobante.v1_0", type = JAXBElement.class, required = false)
    protected JAXBElement<String> serialDispositivo;

    /**
     * Gets the value of the codigoSucursalEmisor property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getCodigoSucursalEmisor() {
        return codigoSucursalEmisor;
    }

    /**
     * Sets the value of the codigoSucursalEmisor property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setCodigoSucursalEmisor(JAXBElement<String> value) {
        this.codigoSucursalEmisor = value;
    }

    /**
     * Gets the value of the tipoSucursal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTipoSucursal() {
        return tipoSucursal;
    }

    /**
     * Sets the value of the tipoSucursal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTipoSucursal(JAXBElement<String> value) {
        this.tipoSucursal = value;
    }

    /**
     * Gets the value of the datosTransaccion property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link DatosTransaccion }{@code >}
     *     
     */
    public JAXBElement<DatosTransaccion> getDatosTransaccion() {
        return datosTransaccion;
    }

    /**
     * Sets the value of the datosTransaccion property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link DatosTransaccion }{@code >}
     *     
     */
    public void setDatosTransaccion(JAXBElement<DatosTransaccion> value) {
        this.datosTransaccion = value;
    }

    /**
     * Gets the value of the listaItems property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ListaItems }{@code >}
     *     
     */
    public JAXBElement<ListaItems> getListaItems() {
        return listaItems;
    }

    /**
     * Sets the value of the listaItems property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ListaItems }{@code >}
     *     
     */
    public void setListaItems(JAXBElement<ListaItems> value) {
        this.listaItems = value;
    }

    /**
     * Gets the value of the totalesSubTotales property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link TotalesSubTotales }{@code >}
     *     
     */
    public JAXBElement<TotalesSubTotales> getTotalesSubTotales() {
        return totalesSubTotales;
    }

    /**
     * Sets the value of the totalesSubTotales property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link TotalesSubTotales }{@code >}
     *     
     */
    public void setTotalesSubTotales(JAXBElement<TotalesSubTotales> value) {
        this.totalesSubTotales = value;
    }

    /**
     * Gets the value of the pedidoComercialGlobal property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link PedidoComercialGlobal }{@code >}
     *     
     */
    public JAXBElement<PedidoComercialGlobal> getPedidoComercialGlobal() {
        return pedidoComercialGlobal;
    }

    /**
     * Sets the value of the pedidoComercialGlobal property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link PedidoComercialGlobal }{@code >}
     *     
     */
    public void setPedidoComercialGlobal(JAXBElement<PedidoComercialGlobal> value) {
        this.pedidoComercialGlobal = value;
    }

    /**
     * Gets the value of the infoLogistica property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link InfoLogistica }{@code >}
     *     
     */
    public JAXBElement<InfoLogistica> getInfoLogistica() {
        return infoLogistica;
    }

    /**
     * Sets the value of the infoLogistica property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link InfoLogistica }{@code >}
     *     
     */
    public void setInfoLogistica(JAXBElement<InfoLogistica> value) {
        this.infoLogistica = value;
    }

    /**
     * Gets the value of the infoEntrega property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link InfoEntrega }{@code >}
     *     
     */
    public JAXBElement<InfoEntrega> getInfoEntrega() {
        return infoEntrega;
    }

    /**
     * Sets the value of the infoEntrega property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link InfoEntrega }{@code >}
     *     
     */
    public void setInfoEntrega(JAXBElement<InfoEntrega> value) {
        this.infoEntrega = value;
    }

    /**
     * Gets the value of the usoPosterior property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link UsoPosterior }{@code >}
     *     
     */
    public JAXBElement<UsoPosterior> getUsoPosterior() {
        return usoPosterior;
    }

    /**
     * Sets the value of the usoPosterior property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link UsoPosterior }{@code >}
     *     
     */
    public void setUsoPosterior(JAXBElement<UsoPosterior> value) {
        this.usoPosterior = value;
    }

    /**
     * Gets the value of the listaExtras property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ListaExtras }{@code >}
     *     
     */
    public JAXBElement<ListaExtras> getListaExtras() {
        return listaExtras;
    }

    /**
     * Sets the value of the listaExtras property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ListaExtras }{@code >}
     *     
     */
    public void setListaExtras(JAXBElement<ListaExtras> value) {
        this.listaExtras = value;
    }

    /**
     * Gets the value of the serialDispositivo property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getSerialDispositivo() {
        return serialDispositivo;
    }

    /**
     * Sets the value of the serialDispositivo property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setSerialDispositivo(JAXBElement<String> value) {
        this.serialDispositivo = value;
    }

}
